Public Member Functions | Public Attributes | List of all members
QuattroParserInternal::ZoneName Struct Reference

a zone name More...

## Public Member Functions
| ZoneName (char const *name, char const *extra=nullptr)
| constructor More...

## Public Attributes
std::string | m_name
| the zone name More...
std::string | m_extra
| the extra data More...

## Detailed Description

a zone name

## Constructor & Destructor Documentation

## ◆ ZoneName()

QuattroParserInternal::ZoneName::ZoneName | ( | char const * | name,
|  | char const * | extra = `nullptr`
| ) |  |
| inline explicit

constructor

## Member Data Documentation

## ◆ m_extra

std::string QuattroParserInternal::ZoneName::m_extra

the extra data

## ◆ m_name

std::string QuattroParserInternal::ZoneName::m_name

the zone name

The documentation for this struct was generated from the following file:

- Quattro.cpp